Page MenuHomePhabricator

Fix permissions for wikimedia/portals
Closed, ResolvedPublic

Description

We need to set up permissions properly for wikimedia/portals repo:

Event Timeline

Smalyshev assigned this task to EBernhardson.
Smalyshev raised the priority of this task from to Needs Triage.
Smalyshev updated the task description. (Show Details)
Smalyshev added a project: Discovery.
Smalyshev added subscribers: Smalyshev, mxn.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2015, 8:43 PM

Admin rights for whoever has admin rights on ops repos, etc.

wmf-deployment (and by that group's inheritance, ldap/ops) have the ability to merge. And because of the repository's own ACL inheritance, ldap/wmf too (ugh. I would not rely on that in future if I were you.)

So basically we need to add people to https://gerrit.wikimedia.org/r/#/admin/groups/uuid-042c2744870578b6d2da7a7b32421bb914073402 - ideally be fixing that group's owner (currently Project and Group Creators, an issue that quite a few groups has) to something like wmf-deployment.

Deskana added a subscriber: Deskana.EditedSep 21 2015, 9:19 PM

Practically speaking, the only current maintainer is @mxn. A few other people have minor edits, but he has the most. As Stas says, obviously he should have merge rights.

Further to that, as @mxn is the current maintainer, I think it's up to him to decide what other volunteers should also be granted merge rights in the repo. He can list those here.

@Krinkle, Mys 721tx, @PiRSquared17, @MZMcBride, and @MF-Warburg have all filled in for me during my past wikivacations. Since this change would affect the scope of Meta adminship, I’ve posted to Babel explaining the proposal and soliciting comments.

@Krinkle would still have the ability because he's a deployer.

Deskana moved this task from Needs triage to UX on the Discovery board.Sep 22 2015, 5:26 PM
Deskana moved this task from UX to On Sprint Board on the Discovery board.

I've not pushed myself much changes to the portals at Meta, but since I'm active in gerrit I'm willing to help if you could trust me with such responsability. Regards.

Deskana moved this task from Needs triage to Search on the Discovery board.Sep 23 2015, 4:41 AM
Deskana moved this task from Search to On Sprint Board on the Discovery board.
Deskana updated the task description. (Show Details)Sep 23 2015, 5:29 AM
Deskana set Security to None.
Deskana updated the task description. (Show Details)

@Krinkle, Mys 721tx, @PiRSquared17, @MZMcBride, and @MF-Warburg have all filled in for me during my past wikivacations. Since this change would affect the scope of Meta adminship, I’ve posted to Babel explaining the proposal and soliciting comments.

I've not pushed myself much changes to the portals at Meta, but since I'm active in gerrit I'm willing to help if you could trust me with such responsability. Regards.

I've updated the task description based on this.

Deskana triaged this task as Medium priority.Sep 23 2015, 4:51 PM
MarcoAurelio added a subscriber: mys_721tx.
EBernhardson closed this task as Resolved.EditedOct 16 2015, 6:32 PM

I've updated the list of users in the 'wikimedia-portals' group, it now contains the following users:

Krinkle
MF-Warburg
MZMcBride
MarcoAurelio
Mxn
Mys 721tx
PiRSquared17
Smalyshev